std::__is_location_invariant< _Tp >(3)

NAME
std::__is_location_invariant< _Tp >

SYNOPSIS

Inherits type< _Tp >.

Detailed Description

  template<typename _Tp>
struct std::__is_location_invariant< _Tp >" Trait identifying 'location-invariant' types, meaning that the address of the object (or any of its members) will not escape. Trivially copyable types are location-invariant and users can specialize this trait for other types.

Definition at line 71 of file std_function.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.